GET /api/saved_objects/resolve/{type}/{id}

Spaces method and path for this operation:

get /s/{space_id}/api/saved_objects/resolve/{type}/{id}

Refer to Spaces for more information.

WARNING: This API is deprecated. This is a legacy Saved Objects API and may be removed in a future version of Kibana.

Retrieve a single Kibana saved object by ID, using any legacy URL alias if it exists.

Under certain circumstances, when Kibana is upgraded, saved object migrations may necessitate regenerating some object IDs to enable new features. When an object's ID is regenerated, a legacy URL alias is created for that object, preserving its old ID. In such a scenario, that object can be retrieved with the resolve API using either its new ID or its old ID.

Path parameters

  • type string Required

    The saved object type.

  • id string Required

    The saved object identifier.

Responses

  • 200 application/json

    A resolve response.

  • 400 application/json

    A bad request.

GET /api/saved_objects/resolve/{type}/{id}
curl \
  -X GET "${KIBANA_URL}/api/saved_objects/resolve/dashboard/legacy-id" \
  -H "Authorization: ApiKey ${API_KEY}"
GET kbn://api/saved_objects/resolve/dashboard/legacy-id
Response examples (200)
{
  "alias_target_id": "example-dashboard-2",
  "outcome": "aliasMatch",
  "saved_object": {
    "attributes": {
      "title": "Example dashboard 2"
    },
    "id": "example-dashboard-2",
    "managed": false,
    "namespaces": [
      "default"
    ],
    "references": [],
    "type": "dashboard",
    "updated_at": "2026-04-17T12:00:00.000Z",
    "version": "WzEsMl0="
  }
}
Response examples (400)
{
  "error": "Bad Request",
  "message": "Unsupported saved object type(s): unknownType",
  "statusCode": 400
}